<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Interface</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="../admin">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Interface</li>
        </ol>
    </nav>
    <div class="jumbotron text-center">
        <h3>Interface Management </h3>
    </div>
    <form action="/interface/config" method="post">
        <div class="form-group">
            <label for="action">Choose action</label>
    <select name="action" id="action">
        <option value="addLoopback">Create loopback interface</option>
        <option value="editLoopback">Modify loopback interface</option>
        <option value="delLoopback">Delete loopback interface</option>
        <option value="editEthernet">Modify ethernet interface</option>
    </select>
        </div>
        <div class="form-group">
        <label for="intName">Interface name:</label>
    <input name="intName" value="loopback100" id="intName" class="form-control">
        </div>
            <div class="form-group">
            <label for="loopbackConfig">Loopback interface configuration:</label>
    <textarea rows = "14" cols = "60" name="loopbackConfig" class="form-control" id="loopbackConfig">
{
	"ietf-interfaces:interface": {
		"name": "Loopback1",
		"description": "",
		"type": "iana-if-type:softwareLoopback",
		"enabled": true,
		"ietf-ip:ipv4": {
			"address": [{
				"ip": "",
				"netmask": ""
			}]
		}
	}
}
        </textarea>
            </div>
        <div class="form-group">
            <input value="Submit config" type="submit" name="submit" class="btn btn-secondary">
        </div>
</form>
    <form action="/logout">
        <button type="submit" class="btn btn-primary">logout </button>
    </form>
</div>
</body>
</html>